<?php
    /*
    команда на запуск:
    curl "https://$site/cron/index.php" > /dev/null
    */
    require_once(__DIR__.'/../conf.php');

    $url = request_get_protocol().$_SERVER["SERVER_NAME"]."/";
    $url_cron = $url."cron/";

    /* автоматические начисления на бесконечные планы */
    $sql = "SELECT count(`id`) FROM `deposits` WHERE `date_start` = `date_end`";
    if (get_row_by_field("plans", "count", 0) && get_value($sql)) {
        file_get_contents($url_cron."auto_profit.php");
    }
    /* прием биткоина для блокио */
    $access = get_row_by_field('payment_system', 'access', 'block.io');
    if (in_array('BitCoin', $payment_system) && $access && $access['status'] === 'on') {
        file_get_contents($url."pay/blockio/index.php");
    }
    /* прием киви автоматический */
    $result = get_row_by_field('payment_system', 'name', 'Qiwi');
    if (in_array('Qiwi', $payment_system) && $result && $result['type_invest'] === 'auto') {
        file_get_contents($url."pay/qiwi/index.php");
    }

    /* Автообновление курсов валют (CURRENCY_CASH_TIME - каждые 4 часа) */
    if ($exch_rates_auto_update && (time() - get_exch_rate_last_update_time() > CURRENCY_CASH_TIME)) {
        file_get_contents($url_cron."exch_rates_auto_update.php");
    }

    /* автоматические выплаты */
    file_get_contents($url_cron."auto_payment.php");
